Debian Bug report logs - #439363
RM: youtube-dl/etch -- RoQA; broken

Package: release.debian.org; Maintainer for release.debian.org is Debian Release Team <debian-release@lists.debian.org>;

Reported by: Marc-Jano Knopp <pub_br_debian.org@marc-jano.de>

Date: Fri, 24 Aug 2007 13:36:02 UTC

Severity: normal

Tags: etch

Done: Debian Archive Maintenance <ftpmaster@ftp-master.debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, edmonds@debian.org (Robert S. Edmonds):
Bug#439363; Package youtube-dl. Full text and rfc822 format available.

Acknowledgement sent to Marc-Jano Knopp <pub_br_debian.org@marc-jano.de>:
New Bug report received and forwarded. Copy sent to edmonds@debian.org (Robert S. Edmonds). Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Marc-Jano Knopp <pub_br_debian.org@marc-jano.de>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: youtube-dl: Does not work any longer -- has youtube.com changed their system?
Date: Fri, 24 Aug 2007 15:31:05 +0200
Package: youtube-dl
Version: 2007.06.22-1
Severity: grave
Justification: renders package unusable

youtube-cl ceased to work, independent of the file to download:

,----
|
| $ youtube-dl -t http://youtube.com/watch?v=fSgWZ-iR1IE
| Retrieving video webpage... done.
| Extracting video title... done.
| Extracting video URL parameters... done.
| failed.
| Error: unable to download video data.
| Try again several times. It may be a temporary problem.
| Other typical problems:
| 
| * Video no longer exists.
| * Video requires age confirmation but you did not provide an account.
| * You provided the account data, but it is not valid.
| * The connection was cut suddenly for some reason.
| * YouTube changed their system, and the program no longer works.
| 
| Try to confirm you are able to view the video using a web browser.
| Use the same video URL and account information, if needed, with this program.
| When using a proxy, make sure http_proxy has http://host:port format.
| Try again several times and contact me if the problem persists.
| 
|
| $
`----


-- System Information:
Debian Release: lenny/sid
  APT prefers testing
  APT policy: (900, 'testing')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.21-2-amd64 (SMP w/2 CPU cores)
Locale: LANG=en_US.ISO-8859-15, LC_CTYPE=en_US.ISO-8859-15 (charmap=ISO-8859-15)
Shell: /bin/sh linked to /bin/bash

Versions of packages youtube-dl depends on:
ii  python                        2.4.4-6    An interactive high-level object-o

youtube-dl recommends no packages.

-- no debconf information



Reply sent to edmonds@debian.org (Robert S. Edmonds):
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Marc-Jano Knopp <pub_br_debian.org@marc-jano.de>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #10 received at 439363-close@bugs.debian.org (full text, mbox):

From: edmonds@debian.org (Robert S. Edmonds)
To: 439363-close@bugs.debian.org
Subject: Bug#439363: fixed in youtube-dl 2007.08.24-1
Date: Fri, 24 Aug 2007 18:02:03 +0000
Source: youtube-dl
Source-Version: 2007.08.24-1

We believe that the bug you reported is fixed in the latest version of
youtube-dl, which is due to be installed in the Debian FTP archive:

youtube-dl_2007.08.24-1.diff.gz
  to pool/main/y/youtube-dl/youtube-dl_2007.08.24-1.diff.gz
youtube-dl_2007.08.24-1.dsc
  to pool/main/y/youtube-dl/youtube-dl_2007.08.24-1.dsc
youtube-dl_2007.08.24-1_all.deb
  to pool/main/y/youtube-dl/youtube-dl_2007.08.24-1_all.deb
youtube-dl_2007.08.24.orig.tar.gz
  to pool/main/y/youtube-dl/youtube-dl_2007.08.24.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 439363@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Robert S. Edmonds <edmonds@debian.org> (supplier of updated youtube-dl package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Fri, 24 Aug 2007 13:54:40 -0400
Source: youtube-dl
Binary: youtube-dl
Architecture: source all
Version: 2007.08.24-1
Distribution: unstable
Urgency: low
Maintainer: Robert S. Edmonds <edmonds@debian.org>
Changed-By: Robert S. Edmonds <edmonds@debian.org>
Description: 
 youtube-dl - download videos from youtube.com
Closes: 439363
Changes: 
 youtube-dl (2007.08.24-1) unstable; urgency=low
 .
   * New upstream release; closes: #439363.
Files: 
 d20bf1f75c112cb97591fc2d3aff97be 587 web extra youtube-dl_2007.08.24-1.dsc
 2eaac2bd1859ea81ad92d4c89fb5cad1 5357 web extra youtube-dl_2007.08.24.orig.tar.gz
 5026be7d425b8c501f83c2a3ad515149 2537 web extra youtube-dl_2007.08.24-1.diff.gz
 195ab7c1bef63d5905625fa55ab12151 7900 web extra youtube-dl_2007.08.24-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.6 (GNU/Linux)

iD8DBQFGzxuVdp+/SHMBQJERAjHtAJ9l6g2aEB6GDPSMb0UiT5+nmMI/CQCbBagf
cOVvKnQLovtO0+3d2w+L3UY=
=2Fhk
-----END PGP SIGNATURE-----




Information forwarded to debian-bugs-dist@lists.debian.org, edmonds@debian.org (Robert S. Edmonds):
Bug#439363; Package youtube-dl. Full text and rfc822 format available.

Acknowledgement sent to Robert Edmonds <edmonds@debian.org>:
Extra info received and forwarded to list. Copy sent to edmonds@debian.org (Robert S. Edmonds). Full text and rfc822 format available.

Message #15 received at 439363@bugs.debian.org (full text, mbox):

From: Robert Edmonds <edmonds@debian.org>
To: control@bugs.debian.org, 439363@bugs.debian.org
Subject: reopen, affects etch
Date: Tue, 11 Sep 2007 15:28:48 -0400
[Message part 1 (text/plain, inline)]
reopen 439363
retitle 439363 youtube-dl: version in etch useless
tags 439363 etch
thanks

The version of youtube-dl in etch is completely broken due to this bug.

-- 
Robert Edmonds
edmonds@debian.org
[signature.asc (application/pgp-signature, inline)]

Bug reopened, originator not changed. Request was from Robert Edmonds <edmonds@debian.org> to control@bugs.debian.org. (Tue, 11 Sep 2007 19:30:03 GMT) Full text and rfc822 format available.

Changed Bug title to `youtube-dl: version in etch useless' from `youtube-dl: Does not work any longer -- has youtube.com changed their system?'. Request was from Robert Edmonds <edmonds@debian.org> to control@bugs.debian.org. (Tue, 11 Sep 2007 19:30:04 GMT) Full text and rfc822 format available.

Tags added: etch Request was from Robert Edmonds <edmonds@debian.org> to control@bugs.debian.org. (Tue, 11 Sep 2007 19:30:04 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, edmonds@debian.org (Robert S. Edmonds):
Bug#439363; Package youtube-dl. Full text and rfc822 format available.

Acknowledgement sent to Larry Doolittle <ldoolitt@recycle.lbl.gov>:
Extra info received and forwarded to list. Copy sent to edmonds@debian.org (Robert S. Edmonds). Full text and rfc822 format available.

Message #26 received at 439363@bugs.debian.org (full text, mbox):

From: Larry Doolittle <ldoolitt@recycle.lbl.gov>
To: 439363@bugs.debian.org
Subject: how come youtub-dl is in stable?
Date: Tue, 11 Sep 2007 13:47:38 -0700
To me, youtube-dl is the epitome of a package that
belongs in volatile.  Putting it in stable invites
bugs like this.

I have no idea if it can be switched to etch-volatile
at this time.

Personally, I run a copy built from upstream source.
Its build requirements and resource needs are trivial.

  - Larry




Information forwarded to debian-bugs-dist@lists.debian.org, edmonds@debian.org (Robert S. Edmonds):
Bug#439363; Package youtube-dl. Full text and rfc822 format available.

Acknowledgement sent to paddy@panici.net:
Extra info received and forwarded to list. Copy sent to edmonds@debian.org (Robert S. Edmonds). Full text and rfc822 format available.

Message #31 received at 439363@bugs.debian.org (full text, mbox):

From: paddy@panici.net
To: debian-volatile@lists.debian.org
Cc: 439363@bugs.debian.org
Subject: Re: request youtube-dl 2007.10.09-1 / 2006.11.12-1 for Etch
Date: Mon, 5 Nov 2007 10:40:35 +0000
On Sat, Nov 03, 2007 at 01:50:45PM -0000, petes-lists@thegoldenear.org wrote:
> Hi.
> youtube-dl 2006.11.12-1 in Etch has been unusable for a while now because
> of a change by YouTube (I think to the syntax of their URI but I'm not
> sure). youtube-dl 2007.10.09-1 works and is in Testing.
> 
> I would like to request youtube-dl 2007.10.09-1 be included in Volatile
> please.
> 
> It only consists of one Python script and sundry files; only depends on
> python (>= 2.4). Here are the included files:
> 
> 	/usr/bin/youtube-dl
> 	/usr/share/doc/youtube-dl/copyright
> 	/usr/share/doc/youtube-dl/changelog.Debian.gz
> 	/usr/share/man/man1/youtube-dl.1.gz
> 
> I've been using a version from upstream by just replacing
> /usr/bin/youtube-dl and that has worked OK.
> 

It is up to the package maintainer to make such a request.

Looks like the suggestion has already been made to him in debian bug #439363,
which I am cc'ing in this.

Such a program seems to falls into a category that has been considered before, 
and reading the archives of the list for this should prove instructive.  In 
particular, whether changes in the code might be so dramatic as to make any 
guarantee of stability hard to make.

Regards,
Paddy





Information forwarded to debian-bugs-dist@lists.debian.org, edmonds@debian.org (Robert S. Edmonds):
Bug#439363; Package youtube-dl. Full text and rfc822 format available.

Acknowledgement sent to Jasen Betts <jasen@free.net.nz>:
Extra info received and forwarded to list. Copy sent to edmonds@debian.org (Robert S. Edmonds). Full text and rfc822 format available.

Message #36 received at 439363@bugs.debian.org (full text, mbox):

From: Jasen Betts <jasen@free.net.nz>
To: Debian Bug Tracking System <439363@bugs.debian.org>
Subject: Patch for dec2007 youtube-dl
Date: Thu, 27 Dec 2007 14:42:21 +1300
[Message part 1 (text/plain, inline)]
Package: youtube-dl
Version: 2006.11.12-1
Followup-For: Bug #439363


try this. no claims that it will fork for age restricted files, but for regular files it appears to fix it.

-- System Information:
Debian Release: 4.0
  APT prefers stable
  APT policy: (990, 'stable')
Architecture: i386 (i686)
Shell:  /bin/sh linked to /bin/bash
Kernel: Linux 2.6.18-5-686
Locale: LANG=en_NZ, LC_CTYPE=en_NZ (charmap=ISO-8859-1)

Versions of packages youtube-dl depends on:
ii  python                        2.4.4-2    An interactive high-level object-o

youtube-dl recommends no packages.

-- debconf-show failed
[youtube-dl.patch (text/plain, attachment)]

Bug no longer marked as found in version 2007.10.09-1. Request was from Vincent Ho <loki@internode.on.net> to control@bugs.debian.org. (Thu, 27 Dec 2007 11:03:03 GMT) Full text and rfc822 format available.

Bug no longer marked as found in version 2007.10.09-1. Request was from Vincent Ho <loki@internode.on.net> to control@bugs.debian.org. (Thu, 27 Dec 2007 11:09:05 GMT) Full text and rfc822 format available.

Bug no longer marked as found in version 2006.11.12-1. Request was from Vincent Ho <loki@internode.on.net> to control@bugs.debian.org. (Thu, 27 Dec 2007 11:09:06 GMT) Full text and rfc822 format available.

Bug marked as fixed in version youtube-dl/2007.08.24-1. Request was from Christoph Berg <myon@debian.org> to control@bugs.debian.org. (Sun, 17 Feb 2008 15:36:01 GMT) Full text and rfc822 format available.

Bug marked as found in version youtube-dl/2006.11.12-1. Request was from Christoph Berg <myon@debian.org> to control@bugs.debian.org. (Sun, 17 Feb 2008 15:39:02 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, edmonds@debian.org (Robert S. Edmonds):
Bug#439363; Package youtube-dl. Full text and rfc822 format available.

Acknowledgement sent to Stefano Sabatini <stefano.sabatini-lala@poste.it>:
Extra info received and forwarded to list. Copy sent to edmonds@debian.org (Robert S. Edmonds). Full text and rfc822 format available.

Message #51 received at 439363@bugs.debian.org (full text, mbox):

From: Stefano Sabatini <stefano.sabatini-lala@poste.it>
To: Debian Bug Tracking System <439363@bugs.debian.org>
Subject: youtube-dl: Still unusable
Date: Wed, 27 Feb 2008 10:30:39 +0100
Package: youtube-dl
Version: 2006.11.12-1
Followup-For: Bug #439363



-- System Information:
Debian Release: lenny/sid
  APT prefers testing
  APT policy: (500, 'testing'), (500, 'stable')
Architecture: i386 (i686)

Kernel: Linux 2.6.22-3-486
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

Versions of packages youtube-dl depends on:
ii  python                        2.4.4-6    An interactive high-level object-o

youtube-dl recommends no packages.

-- no debconf information

Still unusable in Lenny, current upstream version (2008.01.24) works
just fine.

Best regards.




Severity set to `serious' from `grave' Request was from Marco Rodrigues <gothicx@sapo.pt> to control@bugs.debian.org. (Sun, 20 Jul 2008 21:51:11 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, edmonds@debian.org (Robert S. Edmonds):
Bug#439363; Package youtube-dl. Full text and rfc822 format available.

Acknowledgement sent to Gerfried Fuchs <rhonda@deb.at>:
Extra info received and forwarded to list. Copy sent to edmonds@debian.org (Robert S. Edmonds). Full text and rfc822 format available.

Message #58 received at 439363@bugs.debian.org (full text, mbox):

From: Gerfried Fuchs <rhonda@deb.at>
To: Marco Rodrigues <gothicx@sapo.pt>
Cc: 439363@bugs.debian.org
Subject: Re: severity of 439363 is serious
Date: Mon, 1 Sep 2008 10:40:01 +0200
* Marco Rodrigues <gothicx@sapo.pt> [2008-07-20 23:49:44 CEST]:
> # Automatically generated email from bts, devscripts version 2.10.26ubuntu7~hardy1
> severity 439363 serious

 I fail to see the reasoning why the bug is rather serious than grave?
Can you pretty please elaborate on your change? Did you maybe hit the
wrong bug? Especially then it would be a more than good idea to include
reasoning in your control messages ...

 Thanks in advance,
Rhonda




Severity set to `grave' from `serious' Request was from Marco Rodrigues <gothicx@sapo.pt> to control@bugs.debian.org. (Mon, 01 Sep 2008 11:31:00 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, edmonds@debian.org (Robert S. Edmonds):
Bug#439363; Package youtube-dl. Full text and rfc822 format available.

Acknowledgement sent to gothicx@sapo.pt:
Extra info received and forwarded to list. Copy sent to edmonds@debian.org (Robert S. Edmonds). Full text and rfc822 format available.

Message #65 received at 439363@bugs.debian.org (full text, mbox):

From: gothicx@sapo.pt
To: 439363@bugs.debian.org
Cc: Gerfried Fuchs <rhonda@deb.at>
Subject: Re: severity of 439363 is serious
Date: Mon, 01 Sep 2008 12:56:55 +0100
Citando Gerfried Fuchs <rhonda@deb.at>:

> * Marco Rodrigues <gothicx@sapo.pt> [2008-07-20 23:49:44 CEST]:
>> # Automatically generated email from bts, devscripts version  
>> 2.10.26ubuntu7~hardy1
>> severity 439363 serious
>
>  I fail to see the reasoning why the bug is rather serious than grave?
> Can you pretty please elaborate on your change? Did you maybe hit the
> wrong bug? Especially then it would be a more than good idea to include
> reasoning in your control messages ...
>
>  Thanks in advance,
> Rhonda
>

Hi! I've already changed it to grave. It was a mistake, because I've  
changed the severity in my home trought bts command line, but sendmail  
wasn't working. After some months, I started sendmail without cleaning  
the queue first and it changed the severity of it.

Thanks for the warning =)

--
Marco Rodrigues

http://Marco.Tondela.org




Information forwarded to debian-bugs-dist@lists.debian.org, edmonds@debian.org (Robert S. Edmonds):
Bug#439363; Package youtube-dl. (Tue, 04 Nov 2008 11:36:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Philipp Kern <pkern@debian.org>:
Extra info received and forwarded to list. Copy sent to edmonds@debian.org (Robert S. Edmonds). (Tue, 04 Nov 2008 11:36:09 GMT) Full text and rfc822 format available.

Message #70 received at 439363@bugs.debian.org (full text, mbox):

From: Philipp Kern <pkern@debian.org>
To: Robert Edmonds <edmonds@debian.org>, 439363@bugs.debian.org
Cc: control@bugs.debian.org
Subject: Re: Bug#439363: reopen, affects etch
Date: Tue, 4 Nov 2008 12:11:16 +0100
reassign 439363 release.debian.org
retitle 439363 RM: youtube-dl/etch -- RoQA; broken
severity 439363 normal
thanks

On Tue, Sep 11, 2007 at 03:28:48PM -0400, Robert Edmonds wrote:
> reopen 439363
> retitle 439363 youtube-dl: version in etch useless
> tags 439363 etch
> thanks
> 
> The version of youtube-dl in etch is completely broken due to this bug.

Reassigning to release.debian.org and scheduling it for removal in the
next point release.

Kind regards,
Philipp Kern




Bug reassigned from package `youtube-dl' to `release.debian.org'. Request was from Philipp Kern <pkern@debian.org> to control@bugs.debian.org. (Tue, 04 Nov 2008 11:36:15 GMT) Full text and rfc822 format available.

Changed Bug title to `RM: youtube-dl/etch -- RoQA; broken' from `youtube-dl: version in etch useless'. Request was from Philipp Kern <pkern@debian.org> to control@bugs.debian.org. (Tue, 04 Nov 2008 11:36:16 GMT) Full text and rfc822 format available.

Severity set to `normal' from `grave' Request was from Philipp Kern <pkern@debian.org> to control@bugs.debian.org. (Tue, 04 Nov 2008 11:36:18 GMT) Full text and rfc822 format available.

Reply sent to Debian Archive Maintenance <ftpmaster@ftp-master.debian.org>:
You have taken responsibility. (Wed, 17 Dec 2008 21:45:05 GMT) Full text and rfc822 format available.

Notification sent to Marc-Jano Knopp <pub_br_debian.org@marc-jano.de>:
Bug acknowledged by developer. (Wed, 17 Dec 2008 21:45:05 GMT) Full text and rfc822 format available.

Message #81 received at 439363-close@bugs.debian.org (full text, mbox):

From: Debian Archive Maintenance <ftpmaster@ftp-master.debian.org>
To: 439363-close@bugs.debian.org
Cc: youtube-dl@packages.debian.org, youtube-dl@packages.qa.debian.org
Subject: Bug#439363: fixed
Date: Wed, 17 Dec 2008 21:15:21 +0000
We believe that the bug you reported is now fixed; the following
package(s) have been removed from stable:

youtube-dl | 2006.11.12-1 | source, all

Note that the package(s) have simply been removed from the tag
database and may (or may not) still be in the pool; this is not a bug.
The package(s) will be physically removed automatically when no suite
references them (and in the case of source, when no binary references
it).  Please also remember that the changes have been done on the
master archive (ftp-master.debian.org) and will not propagate to any
mirrors (ftp.debian.org included) until the next cron.daily run at the
earliest.

Packages are never removed from testing by hand.  Testing tracks
unstable and will automatically remove packages which were removed
from unstable when removing them from testing causes no dependency
problems.

Bugs which have been reported against this package are not automatically
removed from the Bug Tracking System.  Please check all open bugs and
close them or re-assign them to another package if the removed package
was superseded by another one.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 439363@bugs.debian.org.

This message was generated automatically; if you believe that there is
a problem with it please contact the archive administrators by mailing
ftpmaster@debian.org.

Debian distribution maintenance software
pp.
Joerg Jaspert (the ftpmaster behind the curtain)




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Thu, 15 Jan 2009 07:30:13 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 11:36:33 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.